<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<link rel="profile" href="<?php echo esc_url('http://gmpg.org/xfn/11'); ?>">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php if ( get_theme_mod('quidus_site_favicon') != '' ) : ?>
		<link rel="shortcut icon" href="<?php echo esc_url(get_theme_mod('quidus_site_favicon')); ?>" />
	<?php endif; ?>
	<!--[if lt IE 9]>
	<script src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/html5.js"></script>
	<![endif]-->

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	
<?php 

        if (nav_menu_on()) {get_template_part( 'navigation/nav' );}
		global $sl;
	?>
	
	<?php if( has_post_thumbnail()) :
			$thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full' ); 
		else :
			$thumb = array();	
			$thumb['0'] = get_template_directory_uri() . '/img/placeholder.jpg';
	endif; ?>
	
	<?php $project_author_id = get_post_field( 'post_author', $post->ID ); ?>
	
	<div data-speed="0.35" data-parallax="scroll" data-image-src="<?php echo esc_url($thumb['0']); ?>" class="project-page-header">
	
		<div class="project-page-title-wrap-outer">
		
			<div class="project-page-title-wrap scrollme animateme" data-when="enter" data-easing="easeinout" data-from="0" data-to="1" data-opacity="0">
				
				<div class="project-page-title">
					<h1><?php echo get_the_title($post->ID); ?></h1>
				</div>
				
				<div class="project-page-meta">
					<p><?php echo get_the_category_list( ' / ', '', $post->ID ); ?> - <a href="<?php echo esc_url(get_permalink($post->ID)); ?>"><?php echo get_the_time('Y-m-d', $post->ID); ?></a> - <?php echo esc_attr(get_the_author_meta( 'display_name', $project_author_id )); ?></p>
				</div>
				
			</div>
		
		</div>
	
	</div>
	
	<div id="page" class="hfeed site <?php if ( $sl == '2 Columns - Left Sidebar' or $sl == '2 Columns - Right Sidebar') { echo "2_column_lor"; } elseif ( $sl == '3 Columns - Sidebars Align Left' or $sl == '3 Columns - Sidebars Align Right' or $sl == '3 Columns' ) { echo "3_column_lor"; } ?>">

		<a class="skip-link screen-reader-text" href="#content"><?php _e( 'Skip to content', 'quidus' ); ?></a>

		<div id="content" class="site-content">