<?php $headings_font = get_theme_mod('quidus_header_font', array( 'font-family' => 'Montserrat' ));
	
	/* ------------------------------------------- */
		
	/* ------ // Typography -> Definition List Title // ------ */
		
	/* ------------------------------------------- */
	
	/* Enable Custom Definition List Title Settings */
		
	Kirki::add_field( 'quidus', array(
		'type'        => 'toggle',
		'settings'     => 'quidus_dt_typography_enable',
		'label'       => __( 'Enable Custom Definition List Title Typography', 'quidus' ),
		'section'     => 'quidus_typography_dt',
		'default'     => false,
		'priority'    => 10,
	));
	
	/* Definition List Title Font Size */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'slider',
		'settings'     => 'quidus_dt_size',
		'label'       => __( 'Definition List Title Font Size', 'quidus' ),
		'section'     => 'quidus_typography_dt',
		'default'     => 100,
		'priority'    => 10,
		'choices'     => array(
			'min'  => 40,
			'max'  => 150,
			'step' => 1
		),
	));
	
	/* Enable Custom Definition List Title Settings */
	$header_font_default = is_array($headings_font) ? $headings_font["font-family"] : "Montserrat";
	Kirki::add_field( 'quidus', array(
		'type'        => 'typography',
		'settings'    => 'quidus_dt_typography',
		'label'       => __( 'Typography', 'quidus' ),
		'section'     => 'quidus_typography_dt',
		'default'     => array(
			'font-family'    => $header_font_default,
			'font-weight'    => '700',
			'line-height'    => '1.6',
			'letter-spacing' => '0',
		),
		'priority'    => 10,
		'choices'     => array(
			'font-style'     => true,
			'font-family'    => true,
			'font-size'      => false,
			'font-weight'    => true,
			'line-height'    => true,
			'letter-spacing' => true,
		),
		'output' => array(
			array(
				'element' => array('xx'),
			),
		),
	) );
	
	/* Padding Top */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'text',
		'settings'     => 'quidus_dt_typography_padding_top',
		'label'       => __( 'Padding Top', 'quidus' ),
		'section'     => 'quidus_typography_dt',
		'default'     => '0',
		'priority'    => 10,
	));
	
	/* Padding Bottom */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'text',
		'settings'     => 'quidus_dt_typography_padding_bottom',
		'label'       => __( 'Padding Bottom', 'quidus' ),
		'section'     => 'quidus_typography_dt',
		'default'     => '0',
		'priority'    => 10,
	));
	
	/* Margin Top */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'text',
		'settings'     => 'quidus_dt_typography_margin_top',
		'label'       => __( 'Margin Top', 'quidus' ),
		'section'     => 'quidus_typography_dt',
		'default'     => '0',
		'priority'    => 10,
	));
	
	/* Margin Bottom */
	
	Kirki::add_field( 'quidus', array(
		'type'        => 'text',
		'settings'     => 'quidus_dt_typography_margin_bottom',
		'label'       => __( 'Margin Bottom', 'quidus' ),
		'section'     => 'quidus_typography_dt',
		'default'     => '1em',
		'priority'    => 10,
	));

?>