/* global screenReaderText */
/**
 * Theme functions file.
 *
 * Contains handlers for navigation and widget area.
 */

( function( $ ) {
	var $body, $window, $sidebar, adminbarOffset, top = false,
	    bottom = false, windowWidth, windowHeight, lastWindowPos = 0,
	    topOffset = 0, bodyHeight, sidebarHeight, resizeTimer;

	// Add dropdown toggle that display child menu items.
	$( '.secondary-navigation .page_item_has_children > a, .secondary-navigation .menu-item-has-children > a' ).after( '<button class="dropdown-toggle" aria-expanded="false">' + screenReaderText.expand + '</button>' );
	// Add dropdown toggle that display child menu items.
	$( '.main-navigation .page_item_has_children > a, .main-navigation .menu-item-has-children > a' ).after( '<button class="dropdown-toggle" aria-expanded="false">' + screenReaderText.expand + '</button>' );

	$( '.secondary-navigation .dropdown-toggle' ).click( function( e ) {
		var _this = $( this );
		e.preventDefault();
		_this.toggleClass( 'toggle-on' );
		_this.next( '.children, .sub-menu' ).toggleClass( 'toggled-on' );
		_this.attr( 'aria-expanded', _this.attr( 'aria-expanded' ) === 'false' ? 'true' : 'false' );
		_this.html( _this.html() === screenReaderText.expand ? screenReaderText.collapse : screenReaderText.expand );
	} );
	
	$('.menu-holder .toggle-search').click(function(){
	
		$('.search-expand-inner .search-form .search-field').toggleClass('displayable');
		
	});
	
	menuFix = function() {
	
		var wwidth_on_resize = $(window).width();
	
		var hmww = $('.horizontal-menu-wrapper').width();
		
		var site_branding_wrapper_width = $('.site-branding-wrapper').width();
		
		var site_header_height = $('.site-header').height();
		
		var float_right_height = $('.float-right').height();
		
		var menu_height = site_header_height + float_right_height;
		
		var site_padding_top = menu_height + 13;
		
		var site_header_width = $('.site-header').width();
		
		if (wwidth_on_resize >= 939) {
			var site_title_width = $('.site-title').outerWidth();
			var site_description_width = $('.site-description').outerWidth();
			var logo_width = site_title_width + site_description_width + 25;
			var float_right_width = $('.float-right').width();
			
		}
	
		if (((hmww < (logo_width + float_right_width)) || ((wwidth_on_resize - 66) < (logo_width + float_right_width))) && (wwidth_on_resize >= 939)) {
	
			$('.site-header, .float-right, .site-branding-wrapper').css({'float':'left', 'left':'50%', 'transform':'translateX(-50%)'}); 
			
			$('.site-header').css({'margin-left':'50%'});
			
			$('.menu-holder .float-right .nav-item').css({'border-right':'1px solid transparent'});
			
			$('.horizontal-menu-wrapper').css({'height': menu_height + 'px'});
			
			$('.site').css({'padding-top': site_padding_top + 'px'});
			
			var x_search = $(".search-expand-inner .search-form").offset().left;
			
			if (x_search < 200) {
			
				$('.search-expand-inner .search-form .search-field').css({'margin-left':'0'});
			
			} else {
			
				$('.search-expand-inner .search-form .search-field').css({'margin-left':''});
			
			}
			
			$('.site-header').css({'width':logo_width + 'px'});
		
		} else {
		
			$('.site-header, .float-right, .site-branding-wrapper').css({'float':'', 'left':'', 'transform':''});
			
			$('.site-header').css({'margin-left':'', 'text-align':''}); 
			
			$('.menu-holder .float-right .nav-item').css({'border-right':''});
			
			$('.horizontal-menu-wrapper').css({'height': ''});
			
			$('.site').css({'padding-top': ''});
			
			$('.site-header').css({'height':'', 'width': ''});
		
		}

	}
	
	site_branding_fix = function() {
	
		var wwidth_on_resize = $(window).width();

		if (wwidth_on_resize >= 939) {
		
			var hmww = $('.horizontal-menu-wrapper').width();
		
			var site_title_width = $('.site-title').outerWidth();
			var site_description_width = $('.site-description').outerWidth();
			var logo_width = site_title_width + site_description_width + 13;
			var nav_item_height = $('.nav-item').height();
			if (hmww < (logo_width)) {
				$('.site-branding .nav-item').css({'float':'none','display':'block', 'text-align':'center'});
				$('.site-header').css({'height':(nav_item_height * 2) + 'px'});
			} else {
				$('.site-branding .nav-item').css({'float':'', 'display':'', 'text-align':''});
				$('.site-header').css({'height':''});
			}
		
		} else {
			$('.site-branding .nav-item').css({'float':'', 'display':'', 'text-align':''});
			$('.site-header').css({'height':''});
		}
	
	}
	
	var menu_holder_height = $('.menu-holder').height();
	
	var waypoint = new Waypoint({
	  element: ('.menu-offset-fix'),
	  handler: function(direction) {
		$('.menu-holder').toggleClass('menu-offset');
	  },
	  offset: -(menu_holder_height)
	});
	
	$('.site-branding-wrapper').css({'margin': '0 auto'});
	
	var vh = $(window).height();
	
	dynamicWidth = function() {
		return $(window).width();
	}
	
	menuresize1 = function() {
	
		var dynamicWidth = $(window).width();
		var has_desktop = $('.main-navigation').hasClass('quidus-desktop-nav');
		var has_mobile = $('.main-navigation').hasClass('quidus-mobile-nav');
		var mainnav = $('.main-navigation');
		
		if (dynamicWidth >= 940) {
			if (has_desktop == false) {
				mainnav.addClass('quidus-desktop-nav');
			}
			if (has_mobile == true) {
				mainnav.removeClass('quidus-mobile-nav');
			}
		} else if (dynamicWidth <= 940) {
			if (has_desktop == true) {
				mainnav.removeClass('quidus-desktop-nav');
			}
			if (has_mobile == false) {
				mainnav.addClass('quidus-mobile-nav');
			}
		}
		
		$( '.main-navigation .sub-menu' ).removeClass( 'toggled-on' );
		$( '.main-navigation .dropdown-toggle' ).removeClass( 'toggle-on' );
		$( '.main-navigation .sub-menu' ).removeAttr("style");
	}


	var ido;
	var custom_dynamic_width;
 	var custom_menuFix;
	$(window).on("load resize orientationchange", function(){
		clearTimeout(ido);
		ido = setTimeout(menuresize1, 20);
		clearTimeout(custom_dynamic_width);
		custom_dynamic_width = setTimeout(dynamicWidth, 20);
		clearTimeout(custom_menuFix);
		custom_menuFix = setTimeout(menuFix, 20);
	});
	
	$(window).on("load resize orientationchange", site_branding_fix);
	
	menuresize1();
	site_branding_fix();
	menuFix();
			
		$( '.main-navigation > div > ul > li' ).hover(
		
		function() {
			
			if (dynamicWidth() >= 940) {

				var x_menu_parent = $(this).offset().left;
				
				$( this ).children( '.sub-menu' ).css({'margin-left':''});
				
				if (x_menu_parent < (dynamicWidth() / 2)) {

					$( this ).children( '.sub-menu' ).toggleClass( 'toggled-on' );
					
					$( '.main-navigation li .sub-menu li' ).hover(function(){
					
						var x_menu_child = $(this).offset().left;
						
						var distance_from_right = dynamicWidth() - $(this).offset().left;
					
						var sub_menu_width = $( this ).find( '.sub-menu li' ).width();
					
						var this_width = $( this ).width();
						
						var this_height = $( this ).height();
						
						$( this ).children( '.sub-menu' ).toggleClass( 'toggled-on' );
						
						if (dynamicWidth() >= 940) {
							if ( distance_from_right < this_width * 2 ) {
								$( this ).children( '.sub-menu' ).css({'margin-left':-sub_menu_width,'margin-top':-this_height,'max-width':'200px'});
							} else {
								$( this ).children( '.sub-menu' ).css({'margin-left':sub_menu_width - 1,'margin-top':-this_height,'max-width':'200px'});
							}
							
						} else {
							$( this ).children( '.sub-menu' ).removeAttr("style");
						}
						
					});
					
				} else {
				
					// goes to right
					
					$( this ).children( '.sub-menu' ).toggleClass( 'toggled-on' );
					
					var this_width = $(this).outerWidth();
					
					if (dynamicWidth() >= 940) { 
						$( this ).children( '.sub-menu' ).css({'margin-left':this_width - 200});
					} else {
						$( this ).children( '.sub-menu' ).removeAttr("style");
					}
					
					$( '.main-navigation li .sub-menu li' ).hover(function(){
					
						var x_menu_child = $(this).offset().left;
					
						var sub_menu_width = $( this ).find( '.sub-menu li' ).width();
						
						$( this ).children( '.sub-menu' ).toggleClass( 'toggled-on' );
					
						var this_height = $( this ).height();
						
						var this_width = $( this ).outerWidth();
						
						if (dynamicWidth() >= 940) {
						
							if ( x_menu_child < this_width ) {
								$( this ).children( '.sub-menu' ).css({'margin-left':sub_menu_width,'margin-top':-this_height,'max-width':'200px'});
							} else {
								$( this ).children( '.sub-menu' ).css({'margin-left':-sub_menu_width + 1,'margin-top':-this_height,'max-width':'200px'});
							}
							
						} else {
							$( this ).children( '.sub-menu' ).removeAttr("style");
						}
					});
			
				}

				if (dynamicWidth() >= 940) {
				} else {
					$( this ).children( '.sub-menu' ).removeAttr("style");
				}
				
				$( '.main-navigation > div > ul > li' ).mouseleave(function() {
						if ($( this ).children( '.sub-menu' ).hasClass( 'toggled-on' ) && (dynamicWidth() >= 940)) {
							$( this ).children( '.sub-menu' ).removeClass( 'toggled-on' );
						}
				});
				
			}
			
		});

	// Enable menu toggle for small screens.
	( function() {
		var secondary = $( '.left-sidebar-wrapper, .float-right' ), button, primary_menu, secondary_menu, widgets, social, search, cart, float_right;
		if ( ! secondary ) {
			return;
		}

		button = $( '.site-branding' ).find( '.secondary-toggle' );
		if ( ! button ) {
			return;
		}

		// Hide button if there are no widgets and the menus are missing or empty.
		primary_menu = secondary.find( '.main-navigation' );
		secondary_menu  = secondary.find( '.secondary-navigation' );
		widgets = secondary.find( '#widget-area' );
		social  = secondary.find( '.my-social' );
		search  = secondary.find( '.search-expand-inner' );
		cart  = secondary.find( '.menu-cart-wrapper' );
		float_right = $( '.float-right' );
		if ( ! widgets.length && ! search.length && ! cart.length && ! social.length && ( ! primary_menu || ! primary_menu.children().length ) && ( ! secondary_menu || ! secondary_menu.children().length ) ) {
			button.hide();
			return;
		}

		button.on( 'click.quidus', function() {
			secondary.toggleClass( 'toggled-on' );
			if ( ! search.length && ! cart.length && ! social.length && ( ! primary_menu || ! primary_menu.children().length ) ) {
				float_right.hide();
			}
			secondary.trigger( 'resize' );
			$( this ).toggleClass( 'toggled-on' );
		} );
	} )();
	
	$( '.main-navigation .dropdown-toggle' ).click( function( e ) {
	
		if (dynamicWidth() <= 940) {
		var _this = $( this );
		e.preventDefault();
		_this.toggleClass( 'toggle-on' );
		_this.next( '.children, .sub-menu' ).toggleClass( 'toggled-on' );
		_this.attr( 'aria-expanded', _this.attr( 'aria-expanded' ) === 'false' ? 'true' : 'false' );
		_this.html( _this.html() === screenReaderText.expand ? screenReaderText.collapse : screenReaderText.expand );
		}
		
	} );

} )( jQuery );
